Get a single allowlist entry for a connected account
Retrieves a single allowlist entry by its Fireblocks identifier for a specified connected account.
Note: This endpoint is currently in beta and might be subject to changes. Currently supports CoinbaseExchange/Binance accounts only.
GET
/
connected_accounts
/
{accountId}
/
allowlist
/
{allowlistId}
TypeScript
const response: Promise<FireblocksResponse<AllowlistEntryResponse>> = fireblocks.connectedAccountsBeta.getConnectedAccountAllowlistEntry(connectedAccountsBetaApiGetConnectedAccountAllowlistEntryRequest);CompletableFuture<ApiResponse<AllowlistEntryResponse>> response = fireblocks.connectedAccountsBeta().getConnectedAccountAllowlistEntry(accountId, allowlistId);response = fireblocks.connected_accounts_beta.get_connected_account_allowlist_entry(account_id, allowlist_id);curl --request GET \
--url https://api.fireblocks.io/v1/connected_accounts/{accountId}/allowlist/{allowlistId}const options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/connected_accounts/{accountId}/allowlist/{allowlistId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
"assets": [
"BTC",
"ETH"
],
"networks": [
"ETHEREUM",
"POLYGON"
],
"status": "ACTIVE",
"addedAt": "2024-01-15T10:30:00Z",
"label": "Coinbase Hot Wallet",
"addressIdentifier": null,
"providerReferenceId": "CB-SAMPLE-001",
"providerMetadata": {
"coinbase_exchange_id": "1234567890"
}
},
"metadata": {
"lastSyncedAt": "2026-05-01T15:30:00Z",
"syncStatus": "SUCCESS"
}
}{
"message": "Provider 'BINANCE' not found",
"code": 3228,
"errorMessage": "Insufficient permissions to rename connected account",
"errorCode": "INSUFFICIENT_PERMISSIONS"
}{
"message": "<string>",
"code": 123
}Path Parameters
The connected account identifier
The Fireblocks allowlist entry identifier
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<AllowlistEntryResponse>> = fireblocks.connectedAccountsBeta.getConnectedAccountAllowlistEntry(connectedAccountsBetaApiGetConnectedAccountAllowlistEntryRequest);CompletableFuture<ApiResponse<AllowlistEntryResponse>> response = fireblocks.connectedAccountsBeta().getConnectedAccountAllowlistEntry(accountId, allowlistId);response = fireblocks.connected_accounts_beta.get_connected_account_allowlist_entry(account_id, allowlist_id);